# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::DepthMask Class Reference

Wraps the OpenGL function glDepthMask(), see also http://www.opengl.org/sdk/docs/man/xhtml/glDepthMask.xml for more information. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::DepthMask:

List of all members.

## Public Member Functions

| DepthMask (bool depthmask=true)
virtual const char * | className ()
| Returns the name of the class.
virtual ERenderState | type () const
virtual void | apply (const Camera *) const
void | set (bool depthmask)
bool | depthMask () const

## Protected Attributes

bool | mDepthMask

## Detailed Description

Wraps the OpenGL function glDepthMask(), see also http://www.opengl.org/sdk/docs/man/xhtml/glDepthMask.xml for more information.

See also:
  Shader, Effect, Actor

## Constructor & Destructor Documentation

vl::DepthMask::DepthMask | ( | bool | depthmask = `true` | ) | `[inline]`

## Member Function Documentation

virtual const char* vl::DepthMask::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::RenderState.

virtual ERenderState vl::DepthMask::type | ( |  | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

void DepthMask::apply | ( | const Camera * |  | ) | const`[virtual]`

Implements vl::RenderState.

void vl::DepthMask::set | ( | bool | depthmask | ) | `[inline]`

bool vl::DepthMask::depthMask | ( |  | ) | const`[inline]`

## Member Data Documentation

bool vl::DepthMask::mDepthMask`[protected]`

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Shader.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Shader.cpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:40 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.